// ############################################################################################
//  vdmysb.cpp
//  Implementation of _CVortexSoundBuffer class using dummy (NULL) audio system
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vcwave.h>
#include <vmdisp.h>
#include <auddmy/vdmysb.h>

// ============================================================================================
// Exported classes implementation
// ============================================================================================
// --------------------------------------------------------------------------------------------
// The audio sound-buffer class
// --------------------------------------------------------------------------------------------
// ***** Constructor & destructor
_CVortexSoundBuffer::_CVortexSoundBuffer()
{
}
_CVortexSoundBuffer::~_CVortexSoundBuffer()
{
}

// ***** Sound buffer functions
_vbool _CVortexSoundBuffer::AdjustAmplitude(_vfloat fLeftGain, _vfloat fRightGain)
{
  fLeftGain = fLeftGain;
  fRightGain = fRightGain;
  return(true);
}
_vbool _CVortexSoundBuffer::ConvertStereoToMono(_vvoid)
{
  return(true);
}

// ***** File I/O functions
_vbool _CVortexSoundBuffer::LoadRAW(const _vchar *pcFileName, _EVortexRawFormat eFormat, _vint32 n32Frequency)
{
  pcFileName = pcFileName;
  eFormat = eFormat;
  n32Frequency = n32Frequency;
  return(true);
}
_vbool _CVortexSoundBuffer::LoadWAV(const _vchar *pcFileName)
{
  pcFileName = pcFileName;
  return(true);
}
_vbool _CVortexSoundBuffer::LoadVSW(const _vchar *pcFileName)
{
  pcFileName = pcFileName;
  return(true);
}
_vbool _CVortexSoundBuffer::SaveVSW(const _vchar *pcFileName)
{
  pcFileName = pcFileName;
  return(true);
}

// ============================================================================================
// End of vdmysb.cpp
// ============================================================================================
