// ############################################################################################
//  vdmysb.h
//  Definition & implementation of _CVortexSoundBuffer class using dummy (NULL) audio system
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VDMYSB_H_
#define _VDMYSB_H_

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vllsbcf.h>
#include <auddmy/vdmyenv.h>

// ============================================================================================
// Exported classes definition
// ============================================================================================
// ***** The audio sound-buffer class
class _CVortexSoundBuffer
{
  public:
    // Constructor & destructor
    _CVortexSoundBuffer();
    ~_CVortexSoundBuffer();
    // Sound buffer functions
    inline _vbool Play(_vbool bLooping = false);
    _vbool AdjustAmplitude(_vfloat fLeftGain, _vfloat fRightGain);
    _vbool ConvertStereoToMono(_vvoid);
    _vbool Convert16BitTo8Bit(_vvoid);
    // File I/O functions
    _vbool LoadRAW(const _vchar *pcFileName, _EVortexRawFormat eFormat, _vint32 n32Frequency);
    _vbool LoadWAV(const _vchar *pcFileName);
    _vbool LoadVSW(const _vchar *pcFileName);
    _vbool SaveVSW(const _vchar *pcFileName);
};

// ############################################################################################
// Inline functions implementation
// ############################################################################################
// ============================================================================================
// From exported classes
// ============================================================================================
// --------------------------------------------------------------------------------------------
// The audio sound-buffer class
// --------------------------------------------------------------------------------------------
// ***** Sound buffer functions
_vbool _CVortexSoundBuffer::Play(_vbool bLooping)
{
  bLooping = bLooping;
  return(true);
}

#endif
// ============================================================================================
// End of vdmysb.h
// ============================================================================================
