// ############################################################################################
//  vvect3d.h
//  Definition of _TVortexVector3D structure
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  The source codes in this file is adopted from the book :
//    Cutting-Edge 3D Game Programming with C++
//    John De Goes
//    Coriolis Group, Inc.
//    USA, 1996
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VVECT3D_H_
#define _VVECT3D_H_

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vbtypes.h>

// ============================================================================================
// Exported structures definitions
// ============================================================================================
// ***** The 3D vector structure
struct _TVortexVector3D
{
  _vfloat fX, fY, fZ;    // The XYZ direction vector
#ifdef _ASM_SSE_
  _vfloat _fdummy_to_make_the_XYZ_vector_128_bits_long_;
#endif
  _vfloat fXt, fYt, fZt; // The transformed XYZ direction vector
};

#endif
// ============================================================================================
// End of vvect3d.h
// ============================================================================================
